
using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationPTR
{
    public class PTR2021
    {
    
    public string INTId = null;
    public bool INTExists = false;
    public int INTCount = 0;
    public int INTOccurrenceIndex = 0;
    public int INTLastOccurrenceIndex = 0;
    public string INTIdentifier = null;
    public string INTIdentifierScheme = null;
        public string INTIdentifierABN = null;
        public DateTime? INTStartDate = null;
        public DateTime? INTEndDate = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentClientReference.Text
        /// </summary>
        public string PTR170 = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string PTR2 = null;
    
        public bool DeclarationCollectionExists = false;
        public int DeclarationCollectionCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_INTExists = false;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTOccurrenceIndex = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementType.Code
        /// </summary>
        public string PTR296 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? PTR295 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Statement.Text
        /// </summary>
        public string PTR298 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? PTR294 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string PTR297 = null;
    
        public bool Declaration_PersonUnstructuredNameCollectionExists = false;
        public int Declaration_PersonUnstructuredNameCollectionCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string PTR313 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string PTR314 = null;
    
        public bool PersonUnstructuredNameCollectionExists = false;
        public int PersonUnstructuredNameCollectionCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact']
         /// </summary>
        public bool PersonUnstructuredNameCollection_Contact_INTExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact']
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact'] Occurrence Index
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact'] Last Occurrence Index
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='Contact']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string PTR171 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='Contact']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string PTR242 = null;
    
        public bool ElectronicContactTelephoneCollectionExists = false;
        public int ElectronicContactTelephoneCollectionCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public bool ElectronicContactTelephoneCollection_03_INTExists = false;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTOccurrenceIndex = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string PTR245 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string PTR244 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string PTR172 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string PTR173 = null;

        public string RPId = null;
        public bool RPExists = false;
        public int RPCount = 0;
        public int RPOccurrenceIndex = 0;
        public int RPLastOccurrenceIndex = 0;
        public string RPIdentifier = null;
        public string RPIdentifierScheme = null;
        public string RPIdentifierTFN = null;
        public DateTime? RPStartDate = null;
        public DateTime? RPEndDate = null;

        /// <summary>
        /// RP:tns:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string PTR5 = null;

        /// <summary>
        /// RP:tns:Report.TargetFinancial.Year
        /// </summary>
        public int? PTR1 = null;

        /// <summary>
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string PTR7 = null;

        /// <summary>
        /// RP:tns:Report.Amendment.Indicator
        /// </summary>
        public bool? PTR316 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentSequence.Number
        /// </summary>
        public decimal? PTR319 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentType.Code
        /// </summary>
        public string PTR317 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentReason.Text
        /// </summary>
        public string PTR318 = null;
    
        public bool OrganisationNameDetailsCollectionExists = false;
        public int OrganisationNameDetailsCollectionCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MN_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string PTR229 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string PTR261 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string PTR6 = null;

         /// <summary>
         /// [OrganisationNameDetails.Currency.Code='P'].[OrganisationNameDetails.OrganisationalNameType.Code='MN']
         /// </summary>
        public bool OrganisationNameDetailsCollection_P_MN_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.Currency.Code='P'].[OrganisationNameDetails.OrganisationalNameType.Code='MN']
         /// </summary>
        public int OrganisationNameDetailsCollection_P_MN_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.Currency.Code='P'].[OrganisationNameDetails.OrganisationalNameType.Code='MN'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_P_MN_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.Currency.Code='P'].[OrganisationNameDetails.OrganisationalNameType.Code='MN'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_P_MN_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.Currency.Code='P'].[OrganisationNameDetails.OrganisationalNameType.Code='MN']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string PTR230 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.Currency.Code='P'].[OrganisationNameDetails.OrganisationalNameType.Code='MN']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string PTR262 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.Currency.Code='P'].[OrganisationNameDetails.OrganisationalNameType.Code='MN']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string PTR8 = null;
    
        public bool AddressDetailsCollectionExists = false;
        public int AddressDetailsCollectionCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public bool AddressDetailsCollection_POS_C_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? PTR216 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string PTR223 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string PTR226 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string PTR9 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string PTR211 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string PTR214 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string PTR215 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string PTR10 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string PTR12 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string PTR11 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string PTR13 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string PTR302 = null;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
         /// </summary>
        public bool AddressDetailsCollection_POS_P_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? PTR219 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string PTR224 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string PTR227 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string PTR14 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string PTR212 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string PTR217 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string PTR218 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string PTR15 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string PTR17 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string PTR16 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string PTR18 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string PTR303 = null;
    
        public bool MailRecipientCollectionExists = false;
        public int MailRecipientCollectionCount = 0;
    
        public bool MailRecipient_PersonNameDetailsCollectionExists = false;
        public int MailRecipient_PersonNameDetailsCollectionCount = 0;

         /// <summary>
         /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
         /// </summary>
        public bool MailRecipient_PersonNameDetailsCollection_MailRecipient_LGL_RPExists = false;

         /// <summary>
         /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
         /// </summary>
        public int MailRecipient_PersonNameDetailsCollection_MailRecipient_LGL_RPCount = 0;

         /// <summary>
         /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL'] Occurrence Index
         /// </summary>
        public int MailRecipient_PersonNameDetailsCollection_MailRecipient_LGL_RPOccurrenceIndex = 0;

         /// <summary>
         /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL'] Last Occurrence Index
         /// </summary>
        public int MailRecipient_PersonNameDetailsCollection_MailRecipient_LGL_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
        /// RP:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string PTR231 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
        /// RP:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string PTR232 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
        /// RP:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string PTR233 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
        /// RP:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string PTR19 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
        /// RP:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string PTR21 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
        /// RP:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string PTR20 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
        /// RP:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string PTR22 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.Usage.Code='MailRecipient'].[PersonNameDetails.PersonNameType.Code='LGL']
        /// RP:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string PTR23 = null;
    
        public bool MailRecipient_OrganisationNameDetailsCollectionExists = false;
        public int MailRecipient_OrganisationNameDetailsCollectionCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool MailRecipient_OrganisationNameDetailsCollection_MN_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int MailRecipient_OrganisationNameDetailsCollection_MN_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int MailRecipient_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int MailRecipient_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string PTR234 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string PTR280 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string PTR24 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string PTR25 = null;

        /// <summary>
        /// RP:tns:Elections.InterposedEntityElectionStatus.Year
        /// </summary>
        public int? PTR26 = null;

        /// <summary>
        /// RP:tns:Elections.InterposedEntityElectionRevocation.Code
        /// </summary>
        public string PTR27 = null;

        /// <summary>
        /// RP:tns:Lodgment.FinalReturn.Indicator
        /// </summary>
        public bool? PTR29 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.MainIncomeActivity.Description
        /// </summary>
        public string PTR30 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OrganisationIndustry2006Extended.Code
        /// </summary>
        public string PTR31 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.ActivityEvent.Code
        /// </summary>
        public string PTR32 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.TaxConsolidationStatus.Indicator
        /// </summary>
        public bool? PTR33 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.SignificantGlobalEntityStatus.Indicator
        /// </summary>
        public bool? PTR355 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.CountryByCountryReportingEntityStatus.Indicator
        /// </summary>
        public bool? PTR372 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        /// </summary>
        public bool? PTR108 = null;

        /// <summary>
        /// RP:tns:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
        /// </summary>
        public bool? PTR277 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.TransactionsWithTaxHavenCountries.Indicator
        /// </summary>
        public bool? PTR109 = null;

        /// <summary>
        /// RP:tns:Income.PersonalServicesIncomeIncluded.Indicator
        /// </summary>
        public bool? PTR110 = null;

        /// <summary>
        /// RP:tns:Income.PersonalServicesIncome.Total.Amount
        /// </summary>
        public decimal? PTR265 = null;

        /// <summary>
        /// RP:tns:Expense.PersonalServicesIncome.Deduction.Amount
        /// </summary>
        public decimal? PTR266 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
        /// </summary>
        public bool? PTR268 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator
        /// </summary>
        public bool? PTR271 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator
        /// </summary>
        public bool? PTR276 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator
        /// </summary>
        public bool? PTR272 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator
        /// </summary>
        public bool? PTR275 = null;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MTR_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int OrganisationNameDetailsCollection_MTR_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MTR_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MTR_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string PTR273 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string PTR274 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string PTR116 = null;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public bool AddressDetailsCollection_BUS_C_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? PTR222 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string PTR225 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string PTR228 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string PTR117 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string PTR213 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string PTR220 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string PTR221 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string PTR118 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string PTR120 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string PTR119 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string PTR263 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string PTR304 = null;

        /// <summary>
        /// RP:tns:Expense.Purchases.AndOtherCosts.Amount
        /// </summary>
        public decimal? PTR122 = null;

        /// <summary>
        /// RP:tns:Remuneration.WagesAndSalaries.Total.Amount
        /// </summary>
        public decimal? PTR127 = null;

        /// <summary>
        /// RP:tns:Remuneration.WagesAndSalariesAction.Code
        /// </summary>
        public string PTR128 = null;

        /// <summary>
        /// RP:tns:Remuneration.PaymentToRelatedPartiesGross.Amount
        /// </summary>
        public decimal? PTR129 = null;

        /// <summary>
        /// RP:tns:Remuneration.FringeBenefits.EmployeeContribution.Amount
        /// </summary>
        public decimal? PTR136 = null;

        /// <summary>
        /// RP:tns:Elections.TradingStock.Indicator
        /// </summary>
        public bool? PTR140 = null;

        /// <summary>
        /// RP:tns:Income.AggregatedTurnoverRange.Code
        /// </summary>
        public string PTR411 = null;

        /// <summary>
        /// RP:tns:Income.AggregatedTurnover.Amount
        /// </summary>
        public decimal? PTR412 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
        /// </summary>
        public decimal? PTR130 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
        /// </summary>
        public decimal? PTR131 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Code
        /// </summary>
        public string PTR403 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Number
        /// </summary>
        public decimal? PTR404 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Amount
        /// </summary>
        public decimal? PTR405 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssets.Amount
        /// </summary>
        public decimal? PTR406 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssets.Number
        /// </summary>
        public decimal? PTR407 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.BackingBusinessInvestmentEligibleAssetsOptOut.Code
        /// </summary>
        public string PTR408 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.BackingBusinessInvestmentEligibleAssetsOptOut.Number
        /// </summary>
        public decimal? PTR409 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.BackingBusinessInvestmentEligibleAssetsOptOut.Amount
        /// </summary>
        public decimal? PTR410 = null;

        /// <summary>
        /// RP:tns:Expense.FirstYearAcceleratedDepreciationDeductionsForAssets.Amount
        /// </summary>
        public decimal? PTR400 = null;

        /// <summary>
        /// RP:tns:Expense.SubsequentYearAcceleratedDepreciationDeductionsForAssets.Amount
        /// </summary>
        public decimal? PTR401 = null;

        /// <summary>
        /// RP:tns:Expense.InstantAssetWriteOffDeductions.Amount
        /// </summary>
        public decimal? PTR402 = null;

        /// <summary>
        /// RP:tns:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
        /// </summary>
        public bool? PTR283 = null;

        /// <summary>
        /// RP:tns:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator
        /// </summary>
        public bool? PTR278 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount
        /// </summary>
        public decimal? PTR279 = null;

        /// <summary>
        /// RP:tns:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount
        /// </summary>
        public decimal? PTR282 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount
        /// </summary>
        public decimal? PTR281 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
        /// </summary>
        public decimal? PTR132 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.OtherTerminationValue.Amount
        /// </summary>
        public decimal? PTR133 = null;

        /// <summary>
        /// RP:tns:Expense.ProjectPoolAllowableDeduction.Amount
        /// </summary>
        public decimal? PTR134 = null;

        /// <summary>
        /// RP:tns:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
        /// </summary>
        public decimal? PTR135 = null;

        /// <summary>
        /// RP:tns:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
        /// </summary>
        public decimal? PTR248 = null;

        /// <summary>
        /// RP:tns:Income.Investment.FinancialIncomeOrLossNet.Amount
        /// </summary>
        public decimal? PTR254 = null;

        /// <summary>
        /// RP:tns:Income.RentalIncomeOrLossNet.Amount
        /// </summary>
        public decimal? PTR255 = null;
    
        public bool StatementOfDistributionCollectionExists = false;
        public int StatementOfDistributionCollectionCount = 0;

        public List<StatementOfDistribution> StatementOfDistributionCollection = null;

        public class StatementOfDistribution 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:PersonDemographicDetails.Birth.Date
            /// </summary>
            public DateTime? PTR284 = null;

            public bool StatementOfDistribution_PersonNameDetailsCollectionExists = false;
            public int StatementOfDistribution_PersonNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
             /// </summary>
            public bool StatementOfDistribution_PersonNameDetailsCollection_LGL_Contact_RPExists = false;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
             /// </summary>
            public int StatementOfDistribution_PersonNameDetailsCollection_LGL_Contact_RPCount = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'] Occurrence Index
             /// </summary>
            public int StatementOfDistribution_PersonNameDetailsCollection_LGL_Contact_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'] Last Occurrence Index
             /// </summary>
            public int StatementOfDistribution_PersonNameDetailsCollection_LGL_Contact_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.PersonNameType.Code
            /// </summary>
            public string PTR235 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.Usage.Code
            /// </summary>
            public string PTR310 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.Currency.Code
            /// </summary>
            public string PTR267 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.Title.Text
            /// </summary>
            public string PTR311 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.NameSuffix.Text
            /// </summary>
            public string PTR312 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.FamilyName.Text
            /// </summary>
            public string PTR146 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.GivenName.Text
            /// </summary>
            public string PTR147 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.OtherGivenName.Text
            /// </summary>
            public string PTR148 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:Remuneration.PartnerWithNoControlAndShareDisposalInPartnershipIncome.Indicator
            /// </summary>
            public bool? PTR246 = null;

            public bool StatementOfDistribution_AddressDetailsCollectionExists = false;
            public int StatementOfDistribution_AddressDetailsCollectionCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public bool StatementOfDistribution_AddressDetailsCollection_RES_C_RPExists = false;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public int StatementOfDistribution_AddressDetailsCollection_RES_C_RPCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int StatementOfDistribution_AddressDetailsCollection_RES_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int StatementOfDistribution_AddressDetailsCollection_RES_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.OverseasAddress.Indicator
            /// </summary>
            public bool? PTR329 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Usage.Code
            /// </summary>
            public string PTR330 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Currency.Code
            /// </summary>
            public string PTR331 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line1.Text
            /// </summary>
            public string PTR332 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line2.Text
            /// </summary>
            public string PTR333 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line3.Text
            /// </summary>
            public string PTR339 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line4.Text
            /// </summary>
            public string PTR340 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.LocalityName.Text
            /// </summary>
            public string PTR334 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Postcode.Text
            /// </summary>
            public string PTR335 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string PTR336 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.CountryName.Text
            /// </summary>
            public string PTR341 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Country.Code
            /// </summary>
            public string PTR337 = null;

            public bool StatementOfDistribution_OrganisationNameDetailsCollectionExists = false;
            public int StatementOfDistribution_OrganisationNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public bool StatementOfDistribution_OrganisationNameDetailsCollection_MN_C_RPExists = false;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public int StatementOfDistribution_OrganisationNameDetailsCollection_MN_C_RPCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int StatementOfDistribution_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int StatementOfDistribution_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
            /// </summary>
            public string PTR236 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.Currency.Code
            /// </summary>
            public string PTR269 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string PTR149 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
            /// </summary>
            public string PTR285 = null;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public bool StatementOfDistribution_AddressDetailsCollection_BUS_C_RPExists = false;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public int StatementOfDistribution_AddressDetailsCollection_BUS_C_RPCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int StatementOfDistribution_AddressDetailsCollection_BUS_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int StatementOfDistribution_AddressDetailsCollection_BUS_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.OverseasAddress.Indicator
            /// </summary>
            public bool? PTR240 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Usage.Code
            /// </summary>
            public string PTR237 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Currency.Code
            /// </summary>
            public string PTR270 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line1.Text
            /// </summary>
            public string PTR151 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line2.Text
            /// </summary>
            public string PTR152 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line3.Text
            /// </summary>
            public string PTR238 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line4.Text
            /// </summary>
            public string PTR239 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.LocalityName.Text
            /// </summary>
            public string PTR153 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Postcode.Text
            /// </summary>
            public string PTR155 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string PTR154 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.CountryName.Text
            /// </summary>
            public string PTR156 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Country.Code
            /// </summary>
            public string PTR308 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string PTR157 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RPPrim:tns:Income.BeneficiaryShare.Amount
            /// </summary>
            public decimal? PTR158 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RPPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
            /// </summary>
            public decimal? PTR368 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RPPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
            /// </summary>
            public decimal? PTR369 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RPNonPrim:tns:Income.BeneficiaryShare.Amount
            /// </summary>
            public decimal? PTR159 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RPNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
            /// </summary>
            public decimal? PTR370 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RPNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
            /// </summary>
            public decimal? PTR371 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            /// </summary>
            public decimal? PTR160 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:Income.DistributionFranked.Amount
            /// </summary>
            public decimal? PTR324 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
            /// </summary>
            public decimal? PTR161 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
            /// </summary>
            public decimal? PTR162 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
            /// </summary>
            public decimal? PTR321 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
            /// </summary>
            public decimal? PTR351 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:Income.SmallBusinessEntityNet.Amount
            /// </summary>
            public decimal? PTR353 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            /// </summary>
            public decimal? PTR164 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
            /// </summary>
            public decimal? PTR249 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:Income.Investment.FinancialIncomeOrLossNet.Amount
            /// </summary>
            public decimal? PTR256 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:Income.RentalIncomeOrLossNet.Amount
            /// </summary>
            public decimal? PTR257 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistribution
            /// RP:tns:IncomeTax.ExplorationCreditsDistributed.Amount
            /// </summary>
            public decimal? PTR342 = null;
        }

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_RPExists = false;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPOccurrenceIndex = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementType.Code
        /// </summary>
        public string PTR291 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? PTR290 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Statement.Text
        /// </summary>
        public string PTR293 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? PTR289 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string PTR292 = null;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string PTR260 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string PTR264 = null;

        /// <summary>
        /// RP:tns:Report.CompletionHours.Number
        /// </summary>
        public decimal? PTR169 = null;

        /// <summary>
        /// RP:tns:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        /// </summary>
        public string PTR315 = null;

        public string RPPrimId = null;
        public bool RPPrimExists = false;
        public int RPPrimCount = 0;
        public int RPPrimOccurrenceIndex = 0;
        public int RPPrimLastOccurrenceIndex = 0;
        public string RPPrimIdentifier = null;
        public string RPPrimIdentifierScheme = null;
        public string RPPrimIdentifierTFN = null;
        public DateTime? RPPrimStartDate = null;
        public DateTime? RPPrimEndDate = null;

        /// <summary>
        /// RPPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR360 = null;

        /// <summary>
        /// RPPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR361 = null;

        public string RPNonPrimId = null;
        public bool RPNonPrimExists = false;
        public int RPNonPrimCount = 0;
        public int RPNonPrimOccurrenceIndex = 0;
        public int RPNonPrimLastOccurrenceIndex = 0;
        public string RPNonPrimIdentifier = null;
        public string RPNonPrimIdentifierScheme = null;
        public string RPNonPrimIdentifierTFN = null;
        public DateTime? RPNonPrimStartDate = null;
        public DateTime? RPNonPrimEndDate = null;

        /// <summary>
        /// RPNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR364 = null;

        /// <summary>
        /// RPNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR365 = null;

        public string RPJAUSId = null;
        public bool RPJAUSExists = false;
        public int RPJAUSCount = 0;
        public int RPJAUSOccurrenceIndex = 0;
        public int RPJAUSLastOccurrenceIndex = 0;
        public string RPJAUSIdentifier = null;
        public string RPJAUSIdentifierScheme = null;
        public string RPJAUSIdentifierTFN = null;
        public DateTime? RPJAUSStartDate = null;
        public DateTime? RPJAUSEndDate = null;

        /// <summary>
        /// RPJAUS:tns:Expense.ForeignResidentWithholding.Amount
        /// </summary>
        public decimal? PTR45 = null;

        /// <summary>
        /// RPJAUS:tns:Remuneration.WagesAndSalaries.PaymentsContractorAndConsultant.Amount
        /// </summary>
        public decimal? PTR46 = null;

        /// <summary>
        /// RPJAUS:tns:SuperannuationContribution.EmployerContributions.Amount
        /// </summary>
        public decimal? PTR47 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.CostOfSales.Amount
        /// </summary>
        public decimal? PTR343 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.BadDebts.Amount
        /// </summary>
        public decimal? PTR344 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.LeaseTotal.Amount
        /// </summary>
        public decimal? PTR50 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.Rent.Amount
        /// </summary>
        public decimal? PTR345 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.Interest.Amount
        /// </summary>
        public decimal? PTR346 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Royalties.Amount
        /// </summary>
        public decimal? PTR347 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.DepreciationAndAmortisation.Amount
        /// </summary>
        public decimal? PTR54 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.MotorVehicle.Amount
        /// </summary>
        public decimal? PTR348 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code
        /// </summary>
        public string PTR56 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.RepairsAndMaintenance.Amount
        /// </summary>
        public decimal? PTR349 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.DeductibleOtherTotal.Amount
        /// </summary>
        public decimal? PTR58 = null;

        /// <summary>
        /// RPJAUS:tns:Income.ReconciliationAdjustmentTotal.Amount
        /// </summary>
        public decimal? PTR59 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.ReconciliationAdjustmentTotal.Amount
        /// </summary>
        public decimal? PTR328 = null;

        /// <summary>
        /// RPJAUS:tns:Income.SmallBusinessEntityNet.Amount
        /// </summary>
        public decimal? PTR352 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        /// </summary>
        public decimal? PTR63 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? PTR350 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? PTR73 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? PTR74 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? PTR75 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? PTR320 = null;

        /// <summary>
        /// RPJAUS:tns:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? PTR76 = null;

        /// <summary>
        /// RPJAUS:tns:Income.Operating.RentalIncomeGross.Amount
        /// </summary>
        public decimal? PTR77 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? PTR78 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.CapitalWorksDeduction.Amount
        /// </summary>
        public decimal? PTR79 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        /// </summary>
        public decimal? PTR80 = null;

        /// <summary>
        /// RPJAUS:tns:Income.ForestryManagedInvestmentScheme.Amount
        /// </summary>
        public decimal? PTR81 = null;

        /// <summary>
        /// RPJAUS:tns:Income.Interest.Gross.Amount
        /// </summary>
        public decimal? PTR82 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
        /// </summary>
        public decimal? PTR83 = null;

        /// <summary>
        /// RPJAUS:tns:Income.DividendsUnfranked.Amount
        /// </summary>
        public decimal? PTR84 = null;

        /// <summary>
        /// RPJAUS:tns:Income.DividendsFranked.Amount
        /// </summary>
        public decimal? PTR85 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.FrankingCredits.Amount
        /// </summary>
        public decimal? PTR86 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.DividendsTFNAmountsWithheld.Amount
        /// </summary>
        public decimal? PTR87 = null;
    
        public bool OtherAustralianIncomeCollectionExists = false;
        public int OtherAustralianIncomeCollectionCount = 0;

        public List<OtherAustralianIncome> OtherAustralianIncomeCollection = null;

        public class OtherAustralianIncome 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:OtherAustralianIncome
            /// RPJAUS:tns:Income.Other.Description
            /// </summary>
            public string PTR88 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:OtherAustralianIncome
            /// RPJAUS:tns:Income.Other.Amount
            /// </summary>
            public decimal? PTR89 = null;
        }

        /// <summary>
        /// RPJAUS:tns:Expense.AustralianInvestmentAllowableDeduction.Amount
        /// </summary>
        public decimal? PTR90 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        /// </summary>
        public decimal? PTR91 = null;
    
        public bool OtherDeductionsCollectionExists = false;
        public int OtherDeductionsCollectionCount = 0;

        public List<OtherDeductions> OtherDeductionsCollection = null;

        public class OtherDeductions 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:OtherDeductions
            /// RPJAUS:tns:Expense.DeductibleOther.Text
            /// </summary>
            public string PTR95 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:OtherDeductions
            /// RPJAUS:tns:Expense.DeductibleOther.Amount
            /// </summary>
            public decimal? PTR96 = null;
        }

        /// <summary>
        /// RPJAUS:tns:Income.Net.Amount
        /// </summary>
        public decimal? PTR97 = null;

        public string RPJFOREIGNId = null;
        public bool RPJFOREIGNExists = false;
        public int RPJFOREIGNCount = 0;
        public int RPJFOREIGNOccurrenceIndex = 0;
        public int RPJFOREIGNLastOccurrenceIndex = 0;
        public string RPJFOREIGNIdentifier = null;
        public string RPJFOREIGNIdentifierScheme = null;
        public string RPJFOREIGNIdentifierTFN = null;
        public DateTime? RPJFOREIGNStartDate = null;
        public DateTime? RPJFOREIGNEndDate = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        /// </summary>
        public bool? PTR102 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.Other.Amount
        /// </summary>
        public decimal? PTR104 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.Net.Amount
        /// </summary>
        public decimal? PTR105 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.InternationalDealings.TaxOffset.Amount
        /// </summary>
        public decimal? PTR106 = null;

        /// <summary>
        /// RPJFOREIGN:tns:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        /// </summary>
        public decimal? PTR107 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? PTR137 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Expense.Royalties.Amount
        /// </summary>
        public decimal? PTR138 = null;

        public string RPTOFAId = null;
        public bool RPTOFAExists = false;
        public int RPTOFACount = 0;
        public int RPTOFAOccurrenceIndex = 0;
        public int RPTOFALastOccurrenceIndex = 0;
        public string RPTOFAIdentifier = null;
        public string RPTOFAIdentifierScheme = null;
        public string RPTOFAIdentifierTFN = null;
        public DateTime? RPTOFAStartDate = null;
        public DateTime? RPTOFAEndDate = null;

        /// <summary>
        /// RPTOFA:tns:Income.GainsTotal.Amount
        /// </summary>
        public decimal? PTR251 = null;

        /// <summary>
        /// RPTOFA:tns:Expense.LossesTotal.Amount
        /// </summary>
        public decimal? PTR252 = null;

        public string RPJFOREIGNCFCLCId = null;
        public bool RPJFOREIGNCFCLCExists = false;
        public int RPJFOREIGNCFCLCCount = 0;
        public int RPJFOREIGNCFCLCOccurrenceIndex = 0;
        public int RPJFOREIGNCFCLCLastOccurrenceIndex = 0;
        public string RPJFOREIGNCFCLCIdentifier = null;
        public string RPJFOREIGNCFCLCIdentifierScheme = null;
        public string RPJFOREIGNCFCLCIdentifierTFN = null;
        public DateTime? RPJFOREIGNCFCLCStartDate = null;
        public DateTime? RPJFOREIGNCFCLCEndDate = null;

        /// <summary>
        /// RPJFOREIGNCFCLC:tns:Income.InternationalDealings.Attributed.Amount
        /// </summary>
        public decimal? PTR98 = null;

        public string RPJFOREIGNCFCUCId = null;
        public bool RPJFOREIGNCFCUCExists = false;
        public int RPJFOREIGNCFCUCCount = 0;
        public int RPJFOREIGNCFCUCOccurrenceIndex = 0;
        public int RPJFOREIGNCFCUCLastOccurrenceIndex = 0;
        public string RPJFOREIGNCFCUCIdentifier = null;
        public string RPJFOREIGNCFCUCIdentifierScheme = null;
        public string RPJFOREIGNCFCUCIdentifierTFN = null;
        public DateTime? RPJFOREIGNCFCUCStartDate = null;
        public DateTime? RPJFOREIGNCFCUCEndDate = null;

        /// <summary>
        /// RPJFOREIGNCFCUC:tns:Income.InternationalDealings.Attributed.Amount
        /// </summary>
        public decimal? PTR100 = null;

        public string RPClosingInstantId = null;
        public bool RPClosingInstantExists = false;
        public int RPClosingInstantCount = 0;
        public int RPClosingInstantOccurrenceIndex = 0;
        public int RPClosingInstantLastOccurrenceIndex = 0;
        public string RPClosingInstantIdentifier = null;
        public string RPClosingInstantIdentifierScheme = null;
        public string RPClosingInstantIdentifierTFN = null;
        public DateTime? RPClosingInstantInstantDate = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.CurrentTotal.Amount
        /// </summary>
        public decimal? PTR111 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Total.Amount
        /// </summary>
        public decimal? PTR112 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.CurrentTotal.Amount
        /// </summary>
        public decimal? PTR113 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.Total.Amount
        /// </summary>
        public decimal? PTR114 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Inventories.Total.Amount
        /// </summary>
        public decimal? PTR123 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Inventories.ValuationMethod.Code
        /// </summary>
        public string PTR124 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.TradeandReceivablesOther.Amount
        /// </summary>
        public decimal? PTR125 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.TradeAndOtherPayablesTotal.Amount
        /// </summary>
        public decimal? PTR126 = null;

        public string RPOpeningInstantId = null;
        public bool RPOpeningInstantExists = false;
        public int RPOpeningInstantCount = 0;
        public int RPOpeningInstantOccurrenceIndex = 0;
        public int RPOpeningInstantLastOccurrenceIndex = 0;
        public string RPOpeningInstantIdentifier = null;
        public string RPOpeningInstantIdentifierScheme = null;
        public string RPOpeningInstantIdentifierTFN = null;
        public DateTime? RPOpeningInstantInstantDate = null;

        /// <summary>
        /// RPOpeningInstant:tns:Assets.Inventories.Total.Amount
        /// </summary>
        public decimal? PTR121 = null;

        public string RPLowCostId = null;
        public bool RPLowCostExists = false;
        public int RPLowCostCount = 0;
        public int RPLowCostOccurrenceIndex = 0;
        public int RPLowCostLastOccurrenceIndex = 0;
        public string RPLowCostIdentifier = null;
        public string RPLowCostIdentifierScheme = null;
        public string RPLowCostIdentifierTFN = null;
        public DateTime? RPLowCostStartDate = null;
        public DateTime? RPLowCostEndDate = null;

        /// <summary>
        /// RPLowCost:tns:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        /// </summary>
        public decimal? PTR141 = null;

        public string RPGeneralPoolId = null;
        public bool RPGeneralPoolExists = false;
        public int RPGeneralPoolCount = 0;
        public int RPGeneralPoolOccurrenceIndex = 0;
        public int RPGeneralPoolLastOccurrenceIndex = 0;
        public string RPGeneralPoolIdentifier = null;
        public string RPGeneralPoolIdentifierScheme = null;
        public string RPGeneralPoolIdentifierTFN = null;
        public DateTime? RPGeneralPoolStartDate = null;
        public DateTime? RPGeneralPoolEndDate = null;

        /// <summary>
        /// RPGeneralPool:tns:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        /// </summary>
        public decimal? PTR142 = null;

        public string RPJAUSPrimId = null;
        public bool RPJAUSPrimExists = false;
        public int RPJAUSPrimCount = 0;
        public int RPJAUSPrimOccurrenceIndex = 0;
        public int RPJAUSPrimLastOccurrenceIndex = 0;
        public string RPJAUSPrimIdentifier = null;
        public string RPJAUSPrimIdentifierScheme = null;
        public string RPJAUSPrimIdentifierTFN = null;
        public DateTime? RPJAUSPrimStartDate = null;
        public DateTime? RPJAUSPrimEndDate = null;

        /// <summary>
        /// RPJAUSPrim:tns:Remuneration.ABNNotQuotedPaymentGross.Amount
        /// </summary>
        public decimal? PTR35 = null;

        /// <summary>
        /// RPJAUSPrim:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        /// </summary>
        public decimal? PTR39 = null;

        /// <summary>
        /// RPJAUSPrim:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
        /// </summary>
        public bool? PTR258 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.Other.Amount
        /// </summary>
        public decimal? PTR43 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.Net.Amount
        /// </summary>
        public decimal? PTR61 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.PartnershipDistributionGross.Amount
        /// </summary>
        public decimal? PTR65 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.TrustShareNet.Amount
        /// </summary>
        public decimal? PTR66 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Party.TrustType.Code
        /// </summary>
        public string PTR299 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Expense.DistributionDeductionsOther.Amount
        /// </summary>
        public decimal? PTR68 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR356 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR357 = null;

        public string RPJAUSNonPrimId = null;
        public bool RPJAUSNonPrimExists = false;
        public int RPJAUSNonPrimCount = 0;
        public int RPJAUSNonPrimOccurrenceIndex = 0;
        public int RPJAUSNonPrimLastOccurrenceIndex = 0;
        public string RPJAUSNonPrimIdentifier = null;
        public string RPJAUSNonPrimIdentifierScheme = null;
        public string RPJAUSNonPrimIdentifierTFN = null;
        public DateTime? RPJAUSNonPrimStartDate = null;
        public DateTime? RPJAUSNonPrimEndDate = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Remuneration.ABNNotQuotedPaymentGross.Amount
        /// </summary>
        public decimal? PTR36 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Remuneration.PaymentToForeignResidentGross.Amount
        /// </summary>
        public decimal? PTR38 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        /// </summary>
        public decimal? PTR41 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
        /// </summary>
        public bool? PTR259 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.Other.Amount
        /// </summary>
        public decimal? PTR44 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.Net.Amount
        /// </summary>
        public decimal? PTR62 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.PartnershipDistributionLessForeignIncome.Amount
        /// </summary>
        public decimal? PTR69 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
        /// </summary>
        public decimal? PTR70 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Party.TrustType.Code
        /// </summary>
        public string PTR327 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Expense.DistributionDeductionsOther.Amount
        /// </summary>
        public decimal? PTR72 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.TrustDistributionFranked.Amount
        /// </summary>
        public decimal? PTR322 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:IncomeTax.Deduction.TrustDistributionFranked.Amount
        /// </summary>
        public decimal? PTR323 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR358 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR359 = null;

        public string RPSharePrimId = null;
        public bool RPSharePrimExists = false;
        public int RPSharePrimCount = 0;
        public int RPSharePrimOccurrenceIndex = 0;
        public int RPSharePrimLastOccurrenceIndex = 0;
        public string RPSharePrimIdentifier = null;
        public string RPSharePrimIdentifierScheme = null;
        public string RPSharePrimIdentifierTFN = null;
        public DateTime? RPSharePrimStartDate = null;
        public DateTime? RPSharePrimEndDate = null;

        /// <summary>
        /// RPSharePrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR362 = null;

        /// <summary>
        /// RPSharePrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR363 = null;

        public string RPShareNonPrimId = null;
        public bool RPShareNonPrimExists = false;
        public int RPShareNonPrimCount = 0;
        public int RPShareNonPrimOccurrenceIndex = 0;
        public int RPShareNonPrimLastOccurrenceIndex = 0;
        public string RPShareNonPrimIdentifier = null;
        public string RPShareNonPrimIdentifierScheme = null;
        public string RPShareNonPrimIdentifierTFN = null;
        public DateTime? RPShareNonPrimStartDate = null;
        public DateTime? RPShareNonPrimEndDate = null;

        /// <summary>
        /// RPShareNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR366 = null;

        /// <summary>
        /// RPShareNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR367 = null;

    }
}
