﻿using System;
using System.Collections.Generic;

namespace Ato.CD.Inbound.TRTAMI202202
{
    internal static class CrossFormExtensions
    {
        public static List<Context> AddContext(this List<Context> contexts, DateTime? startDate, DateTime? endDate, int occurrenceIdx)
        {
            if(occurrenceIdx > 0)
                contexts.Add(new Context
                {
                    StartDate = startDate,
                    EndDate = endDate,
                    OccurrenceIndex = occurrenceIdx
                });

            return contexts;
        }
    }
    internal struct Context
    {
        public DateTime? StartDate { get; set; }
        public DateTime? EndDate { get; set; }
        public int OccurrenceIndex { get; set; }
    }
}
